<?php

namespace App\Modelos;

use Core\Database;

class ProductoCodBarra extends Database
{
    protected $table = 'app_productos_codbarra';
    protected $id    = 'pc_id';

    public function codBarraExiste(string $codbarra)
    {
        return $this->consultar("SELECT * FROM app_productos_codbarra WHERE pc_codigo = '$codbarra'")->row();
    }

    public function obtenerCodigosDeBarra(int $id_producto)
    {
        return $this->consultar("SELECT pc_id id, pc_codigo codigo FROM app_productos_codbarra WHERE pc_proid = $id_producto")->all();
    }
}
